---
title: Resize Databases
url: https://docs.vultr.com/products/storage/databases/postgresql/management/resize-databases
description: Learn how to adjust the size and resources of your Vultr database instances to meet changing performance needs.
publish_date: 2024-09-23T20:21:41.532314Z
last_updated: 2026-05-26T19:43:51.679727Z
---

# How to Resize Vultr Managed Databases for PostgreSQL

Resizing Vultr Managed Databases for PostgreSQL allows you to scale your database resources as your data grows. Scaling up is useful if your current database plan can't handle your workload. Upsizing your managed database cluster adds more CPUs, RAM, storage, and replica nodes to provide a better experience to your end-users.

Follow this guide to resize Vultr Managed Databases for PostgreSQL using Vultr Console, API, and CLI.

=== "Vultr Console"

    1. Navigate to **Products** and select **Databases**.
    1. Click the target database instance.

        ![Select Managed Database](https://docs.vultr.com/public/doc-assets/collection-items/284/6b16b955-728c-4170-be36-1af8c2415ab1.png)

    1. Navigate to **Settings** and click **Change Plan**. Review the active plan, select a new plan, set replica nodes, and click **Save**.

        ![Change Plan](https://docs.vultr.com/public/doc-assets/collection-items/284/81d74ac1-b5e5-4e54-bb14-79af5f6a7f92.png)

=== "Vultr API"

    1. List all the database instances by sending a `GET` request to the [**List Managed Databases** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/list-databases) and note the database ID. For example, `43b4c774-5dff-4ac0-a01f-78a23c2205b5`.

        ```console
        $ curl "https://api.vultr.com/v2/databases" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `PUT` request to the [**Update Managed Database** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/update-database) to change the database plan and specify the database ID and the new plan (For instance, `vultr-dbaas-business-cc-1-55-2`).

        ```console
        $ curl "https://api.vultr.com/v2/databases/database_id" \
            -X PUT \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "plan" : "vultr-dbaas-business-cc-1-55-2"     
            }'
        ```

        Visit the [**Update Managed Database** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/update-database) to view additional attributes to add to your request.

=== "Vultr CLI"

    1. List all database instances and note the database ID. For instance, `d6ac2a3c-92ea-43ef-8185-71a23e58ad8c`.

        ```console
        $ vultr-cli database list --summarize
        ```

    1. Update the database plan by specifying a database ID and a new plan (For instance, `vultr-dbaas-business-cc-1-55-2`).

        ```console
        $ vultr-cli database update database_id \
        --plan vultr-dbaas-business-cc-1-55-2
        ```
    
        Run `vultr-cli database update --help` to view all options.
